WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: CUPS in *core 4x  (Read 1264 times)

Offline giac_fab

  • Newbie
  • *
  • Posts: 23
CUPS in *core 4x
« on: October 22, 2011, 08:13:45 AM »
Hi
In appbrowser there is gutenprint that is compatible only with cups 1311
But cups 1311 was removed from repository

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 6139
Re: CUPS in *core 4x
« Reply #1 on: October 22, 2011, 11:21:40 AM »
In appbrowser there is gutenprint that is compatible only with cups 1311

What makes you say that?

Offline giac_fab

  • Newbie
  • *
  • Posts: 23
Re: CUPS in *core 4x
« Reply #2 on: October 22, 2011, 02:08:11 PM »
Version:        5.2.4
Change-log:     2009/08/30 - first version
                2009/10/07 - updated for CUPS 1.3.11
Current:        2011/10/09 - adjusted permissions (juanito)

Only if I use cups1311 (from 3.x repository)  my printer works. If I use the only cups present in 4.x repository ( 1.4.8 I think ) my printer doesen't work. 
Is it only a coincidence ?

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 6139
Re: CUPS in *core 4x
« Reply #3 on: October 22, 2011, 07:13:26 PM »
I adjusted the permissions in the gutenprint extension for another user who reported that it worked with the cups extension.

What error messages do you see when you set the log level to debug in cupsd.conf and try to print?

Offline giac_fab

  • Newbie
  • *
  • Posts: 23
Re: CUPS in *core 4x
« Reply #4 on: October 23, 2011, 12:35:44 AM »
here for you

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 6139
Re: CUPS in *core 4x
« Reply #5 on: October 23, 2011, 10:41:55 AM »
The error looks to be here:
Code: [Select]
D [23/Oct/2011:10:30:54 +0000] Print-Job client-error-document-format-not-supported: Unsupported format 'application/vnd.cups-banner'!
E [23/Oct/2011:10:30:54 +0000] Returning IPP client-error-document-format-not-supported for Print-Job (ipp://localhost:631/printers/EPSON_Stylus_SX100) from localhost

This error usually happens if ghostscript is missing

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 4123
Re: CUPS in *core 4x
« Reply #6 on: October 23, 2011, 11:23:45 AM »
Hi Juanito
The   cups1311.tcz   extension lists   gs.tcz   as a dependency while   cups.tcz   does not.

Offline netnomad

  • Hero Member
  • *****
  • Posts: 732
Re: CUPS in *core 4x
« Reply #7 on: October 23, 2011, 12:16:25 PM »
this is my own working cups dependency-list:
cups.tcz
ghostscript_common.tcz
ghostscript.tcz
foomatic-rip.tcz
gutenprint.tcz

i guess that gs is a dependency for cups1311
and ghostscript is a dependency for cups?
i experienced some problems, when i mixed them....
« Last Edit: October 23, 2011, 01:15:13 PM by netnomad »

Offline giac_fab

  • Newbie
  • *
  • Posts: 23
Re: CUPS in *core 4x
« Reply #8 on: October 23, 2011, 01:25:48 PM »
yes @Juanito ... That error shows up also in localhost:631 with browser

When I tried with "cups.tcz" ( 3.x ) and my printer didn't work I saw

Change-log:     2009/08/30 - first version
                            2009/10/07 - updated for CUPS 1.3.11
Current:        2011/10/09 - adjusted permissions (juanito)

So I tried cups1311.... all OK 

I tried with 2 different PC ( so no currupted tcz ) , I tried both with tc 3.x and 4.x

Boh !



Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 6139
Re: CUPS in *core 4x
« Reply #9 on: October 24, 2011, 05:14:04 AM »
The   cups1311.tcz   extension lists   gs.tcz   as a dependency while   cups.tcz   does not.

With all the various ways of using cups, I don't believe that ghostscript is always a dep, hence I did not list it.

gs was what I called the ghostscript extension a while back.

Offline andrewb

  • Full Member
  • ***
  • Posts: 114
Re: CUPS in *core 4x
« Reply #10 on: February 08, 2012, 02:54:24 PM »
+1 for having to load ghostscript.tcz & ghostscript-common.tcz to get CUPS to work in TC4.

I have a FujiXerox C1110b printer & it required the additional extensions.

I've edited the Wiki page on cups & started a list of printers that require additional extensions:

http://wiki.tinycorelinux.net/wiki:printer_setup_using_cups
http://wiki.tinycorelinux.net/wiki:printers_requiring_additional_extensions_with_cups
« Last Edit: February 08, 2012, 04:28:27 PM by andrewb »

Offline vinnie

  • Hero Member
  • *****
  • Posts: 1104
  • HandMace informatic works
Re: CUPS in *core 4x
« Reply #11 on: February 08, 2012, 04:00:54 PM »
I also to use my printer charge 2 extension:
ghostscript_common.tcz hplip_sane-2.7.tcz (contain cups and ghostscript.tcz as dependency).
I do not remember why but it all works

Offline ndrancs

  • Newbie
  • *
  • Posts: 34
  • I Love Linux
Re: CUPS in *core 4x
« Reply #12 on: March 16, 2012, 02:53:24 AM »
I have same problem, with cups and my printer Epson Stylus Photo R230, but by adding ghostscript_common.tcz and ghostscript.tcz .
Now my printer is working, i can print from iron web browser and opera11 SCM.

Offline giac_fab

  • Newbie
  • *
  • Posts: 23
Re: CUPS in *core 4x
« Reply #13 on: March 17, 2012, 01:38:48 PM »
yes that was the problem ...